
/* -------------------------------- 

xgallery 

-------------------------------- */
div.produktgalerie {width:100%;height:160px;  }
.awards div.produktgalerie {width:100%;height:200px; text-align: center }
.cd-gallery ul {padding-left:0;text-align: left}
.cd-gallery { width: 100%;    -webkit-transition: width 0.3s;
    -moz-transition: width 0.3s;
    transition: width 0.3s;}
.cd-gallery li {
  margin-bottom: 1.6em;
  display: none;
  height:300px;
  padding:5px 15px;
}
.awards li h2 {text-align:center !important;display: block;margin-top:2em !important;}
.cd-gallery li:hover {box-shadow: 0 3px 10px rgba(0, 0, 0, 0.2);}
.cd-gallery li p.pyear {font-size: .85em;margin-bottom:0;}
.cd-gallery li p.catname {font-size: .85em;color:#999;margin :5px 0 0 0;}
.cd-gallery li h2 {margin-top:1em;display: block; border-top:1px solid #ddd;border-bottom:1px solid #ddd;padding:.5em 0;}

.cd-gallery li div.produktgalerie img {width: 100%;}
.cd-gallery.awards  li div.produktgalerie img {max-height: 100%;width:auto}
.cd-gallery .cd-fail-message { display: none;text-align: center;}

@media (min-width:768px) and (max-width:980px) {
    .kachel.col-sm-4 {float:none;width:50%;text-align: center}
    div.produktgalerie {height:220px;  }
}
@media (min-width:981px) and (max-width:1196px) {
    div.produktgalerie {height:220px;  }
}
@media (max-width:767px){
    .kachel.col-sm-4 {float:none;width:100%;text-align: center; margin-bottom:.5em;}
    div.produktgalerie {height:auto;  }
    .cd-gallery li {height:auto;margin-bottom:.5em;padding:15px 1em;}
}



/* -------------------------------- 

xcustom form elements 

-------------------------------- */
div.filter {margin-top: .5em;overflow:hidden;}
.cd-filter-block {
  margin-bottom: 1.6em;
  width:30%; 
  margin-right:3%;
  float:left;
}

.cd-filter-block input, .cd-filter-block select,
.cd-filter-block .radio-label::before,
.cd-filter-block .checkbox-label::before {
  /* shared style for input elements */
  border-radius: 0;
  background-color: #ffffff;
  border: 2px solid #e6e6e6;
}
.cd-filter-block input[type='search'],
.cd-filter-block input[type='text'],
.cd-filter-block select,
ul.list {
  width: 100%;
  padding: .8em;
  -webkit-appearance: none;
  -moz-appearance: none;
  -ms-appearance: none;
  -o-appearance: none;
  appearance: none;
  box-shadow: none;
}
.cd-filter-block input[type='search']:focus,
.cd-filter-block input[type='text']:focus,
.cd-filter-block select:focus {
  outline: none;
  background-color: #ffffff;
  border-color: #199edc;
}

.cd-filter-block .cd-select {
  /* select element wrapper */
  position: relative;
}
.cd-filter-block .cd-select::after {
  /* switcher arrow for select element */
  content: '';
  position: absolute;
  z-index: 1;
  right: 14px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  display: block;
  width: 16px;
  height: 16px;
  background: url("../img/cd-icon-arrow.svg") no-repeat center center;
  pointer-events: none;
}
.cd-filter-block select, ul.list {
  cursor: pointer;
  font-size: 1rem;
}
.cd-filter-block select::-ms-expand {
  display: none;
}
.cd-filter-block .list li {
  position: relative;
  margin-bottom: .8em;
}
.cd-filter-block .list li:last-of-type {
  margin-bottom: 0;
}
.cd-filter-block input[type=radio],
.cd-filter-block input[type=checkbox] {
  /* hide original check and radio buttons */
  position: absolute;
  left: 0;
  top: 0;
  margin: 0;
  padding: 0;
  opacity: 0;
  z-index: 2;
}
.cd-filter-block .checkbox-label,
.cd-filter-block .radio-label {
  padding-left: 24px;
  font-size: 1rem;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.cd-filter-block .checkbox-label::before, .cd-filter-block .checkbox-label::after,
.cd-filter-block .radio-label::before,
.cd-filter-block .radio-label::after {
  /* custom radio and check boxes */
  content: '';
  display: block;
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
}
.cd-filter-block .checkbox-label::before,
.cd-filter-block .radio-label::before {
  width: 16px;
  height: 16px;
  left: 0;
}
.cd-filter-block .checkbox-label::after,
.cd-filter-block .radio-label::after {
  /* check mark - hidden */
  display: none;
}
.cd-filter-block .checkbox-label::after {
  /* check mark style for check boxes */
  width: 16px;
  height: 16px;
  background: url("../img/cd-icon-check.svg") no-repeat center center;
  left:0;
}
.cd-filter-block .radio-label::before,
.cd-filter-block .radio-label::after {
  border-radius: 50%;
}
.cd-filter-block .radio-label::after {
  /* check mark style for radio buttons */
  width: 6px;
  height: 6px;
  background-color: #ffffff;
  left: 5px;
}
.cd-filter-block input[type=radio]:checked + label::before,
.cd-filter-block input[type=checkbox]:checked + label::before {
  border-color: #199edc;
  background-color: #199edc;
}
.cd-filter-block input[type=radio]:checked + label::after,
.cd-filter-block input[type=checkbox]:checked + label::after {
  display: block;
}

ul.list {font-size: 1rem;}

@-moz-document url-prefix() {
  /* hide custom arrow on Firefox - select element */
  .cd-filter-block .cd-select::after {
    display: none;
  }
}

@media (max-width:580px){
   .cd-filter-block {
  margin-bottom: .6em;
  width:100% !important; 
  margin-right:0;
  float:none;
}
div.filter {margin-top: .5em;}
}
